{
  lib,
  pkgs,
  config,
  ...
}:
let
  inherit (lib.my) getExe';
in
{
  systemd.user.services.swww = {
    Install.WantedBy = [ "graphical-session.target" ];
    Unit.After = [ "graphical-session.target" ];

    Service = {
      Type = "simple";
      ExecStart = getExe' pkgs.swww "swww-daemon";
      Restart = "on-failure";
      BindPaths = "/run/user /home/${config.home.username}/.cache/swww";
      TemporaryFileSystem = "/home /run/user /root";
      ProtectProc = "noaccess";
      RestrictNamespaces = true;
      CapabilityBoundingSet = "";
      PrivateUsers = true;
      RestrictAddressFamilies = "AF_UNIX";
    } // lib.my.systemdHardening;
  };

  home.packages = [ pkgs.swww ];
}
